=== debian/control ===
Source: ros-kinetic-hironx-ros-bridge
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), gnuplot, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-hrpsys-ros-bridge, ros-kinetic-mk, ros-kinetic-rosbash, ros-kinetic-rosbuild, ros-kinetic-roslang, ros-kinetic-roslib, ros-kinetic-roslint, unzip
Homepage: http://ros.org/wiki/hironx_ros_bridge
Standards-Version: 3.9.2

Package: ros-kinetic-hironx-ros-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnuplot, ros-kinetic-control-msgs, ros-kinetic-hrpsys-ros-bridge, ros-kinetic-moveit-commander, ros-kinetic-openni2-launch, ros-kinetic-rosbash, ros-kinetic-roslang, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-tf
Description: ROS-OpenRTM interfacing package for the opensource version of Kawada's Hiro/NEXTAGE dual-arm robot.
 NOTE: This package is multi-license -- pay attention to file header in each file where license is declared. For Creative Commons nc 4.0 applied, see here. This package also contains some sensor driver software (as of April 2016 they are the following force sensors such as Dynpick and JR3) for QNX. These drivers are stored in this robot-specific package for not many reasons than they are slightly customized for the robot. So if you can separate those as a standalone, generic package that'll be appreciated (please just let us know if you will).
